# Generated by Django 3.2.5 on 2021-07-27 04:17

from django.db import migrations, models
import django.db.models.deletion
import presets.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Preset',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('slug', models.SlugField(max_length=200)),
                ('description', models.TextField(blank=True)),
                ('token', models.CharField(max_length=500)),
                ('url', models.CharField(max_length=500)),
                ('output_file', models.FileField(blank=True, null=True, upload_to=presets.models.preset_output_file_directory_path)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='PresetParam',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
                ('value', models.CharField(max_length=200)),
                ('is_header_param', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('preset', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='params', to='presets.preset')),
            ],
        ),
    ]
